
static Eina_Error
__eolian_efl_input_event_timestamp_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   double cval;
   if (!eina_value_double_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_input_timestamp_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_input_timestamp_set, EFL_FUNC_CALL(ms), double ms);

static Eina_Value
__eolian_efl_input_event_timestamp_get_reflect(const Eo *obj)
{
   double val = efl_input_timestamp_get(obj);
   return eina_value_double_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_input_timestamp_get, double, 0);
EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODY(efl_input_reset);
EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_input_device_set, EFL_FUNC_CALL(dev), Efl_Input_Device *dev);
EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_input_device_get, Efl_Input_Device *, NULL);
EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_input_event_flags_set, EFL_FUNC_CALL(flags), Efl_Input_Flags flags);
EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_input_event_flags_get, Efl_Input_Flags, 0);

void _efl_input_event_processed_set(Eo *obj, void *pd, Eina_Bool val);


static Eina_Error
__eolian_efl_input_event_processed_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_input_processed_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_input_processed_set, EFL_FUNC_CALL(val), Eina_Bool val);

Eina_Bool _efl_input_event_processed_get(const Eo *obj, void *pd);


static Eina_Value
__eolian_efl_input_event_processed_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_input_processed_get(obj);
   return eina_value_bool_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_input_processed_get, Eina_Bool, 0);

void _efl_input_event_scrolling_set(Eo *obj, void *pd, Eina_Bool val);


static Eina_Error
__eolian_efl_input_event_scrolling_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_input_scrolling_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_input_scrolling_set, EFL_FUNC_CALL(val), Eina_Bool val);

Eina_Bool _efl_input_event_scrolling_get(const Eo *obj, void *pd);


static Eina_Value
__eolian_efl_input_event_scrolling_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_input_scrolling_get(obj);
   return eina_value_bool_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_input_scrolling_get, Eina_Bool, 0);

Eina_Bool _efl_input_event_fake_get(const Eo *obj, void *pd);


static Eina_Value
__eolian_efl_input_event_fake_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_input_fake_get(obj);
   return eina_value_bool_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_input_fake_get, Eina_Bool, 0);

Efl_Object *_efl_input_event_efl_object_provider_find(const Eo *obj, void *pd, const Efl_Class *klass);


static Eina_Bool
_efl_input_event_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_INPUT_EVENT_EXTRA_OPS
#define EFL_INPUT_EVENT_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_input_timestamp_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_timestamp_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_reset, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_device_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_device_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_event_flags_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_event_flags_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_input_processed_set, _efl_input_event_processed_set),
      EFL_OBJECT_OP_FUNC(efl_input_processed_get, _efl_input_event_processed_get),
      EFL_OBJECT_OP_FUNC(efl_input_scrolling_set, _efl_input_event_scrolling_set),
      EFL_OBJECT_OP_FUNC(efl_input_scrolling_get, _efl_input_event_scrolling_get),
      EFL_OBJECT_OP_FUNC(efl_input_fake_get, _efl_input_event_fake_get),
      EFL_OBJECT_OP_FUNC(efl_provider_find, _efl_input_event_efl_object_provider_find),
      EFL_INPUT_EVENT_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"timestamp", __eolian_efl_input_event_timestamp_set_reflect, __eolian_efl_input_event_timestamp_get_reflect},
      {"processed", __eolian_efl_input_event_processed_set_reflect, __eolian_efl_input_event_processed_get_reflect},
      {"scrolling", __eolian_efl_input_event_scrolling_set_reflect, __eolian_efl_input_event_scrolling_get_reflect},
      {"fake", NULL, __eolian_efl_input_event_fake_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_input_event_class_desc = {
   EO_VERSION,
   "Efl.Input.Event",
   EFL_CLASS_TYPE_MIXIN,
   0,
   _efl_input_event_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_input_event_mixin_get, &_efl_input_event_class_desc, NULL, EFL_DUPLICATE_INTERFACE, NULL);
